## org.firebirdsql.gds
Interface IscStmtHandle

All Known Implementing Classes:
  AbstractIscStmtHandle, isc_stmt_handle_impl, isc_stmt_handle_impl

    public interface IscStmtHandle

`isc_stmt_handle` describes a handle to a database statement.

Version:
  1.0
Author:
  Alejandro Alberola, David Jencks

Field Summary
`static int` `TYPE_COMMIT`
`static int` `TYPE_DDL`
`static int` `TYPE_DELETE`
`static int` `TYPE_EXEC_PROCEDURE`
`static int` `TYPE_GET_SEGMENT`
`static int` `TYPE_INSERT`
`static int` `TYPE_PUT_SEGMENT`
`static int` `TYPE_ROLLBACK`
`static int` `TYPE_SELECT`
`static int` `TYPE_SELECT_FOR_UPDATE`
`static int` `TYPE_SET_GENERATOR`
`static int` `TYPE_START_TRANS`
`static int` `TYPE_UNKNOWN`
`static int` `TYPE_UPDATE`

Method Summary
`String` `getExecutionPlan()` Get the execution plan from the statement.
`XSQLDA` `getInSqlda()` Get the input data structure that contains data that is put into the statement.
`XSQLDA` `getOutSqlda()` Get the output data structure that contains data that is retrieved from the statement.
`int` `getStatementType()` Get the statement type.
`boolean` `isAllRowsFetched()` Retrieve whether all rows have been fetched of the rows selected by executing this statement.

Field Detail

### TYPE_UNKNOWN

    static final int TYPE_UNKNOWN

See Also:
  Constant Field Values

### TYPE_SELECT

    static final int TYPE_SELECT

See Also:
  Constant Field Values

### TYPE_INSERT

    static final int TYPE_INSERT

See Also:
  Constant Field Values

### TYPE_UPDATE

    static final int TYPE_UPDATE

See Also:
  Constant Field Values

### TYPE_DELETE

    static final int TYPE_DELETE

See Also:
  Constant Field Values

### TYPE_DDL

    static final int TYPE_DDL

See Also:
  Constant Field Values

### TYPE_GET_SEGMENT

    static final int TYPE_GET_SEGMENT

See Also:
  Constant Field Values

### TYPE_PUT_SEGMENT

    static final int TYPE_PUT_SEGMENT

See Also:
  Constant Field Values

### TYPE_EXEC_PROCEDURE

    static final int TYPE_EXEC_PROCEDURE

See Also:
  Constant Field Values

### TYPE_START_TRANS

    static final int TYPE_START_TRANS

See Also:
  Constant Field Values

### TYPE_COMMIT

    static final int TYPE_COMMIT

See Also:
  Constant Field Values

### TYPE_ROLLBACK

    static final int TYPE_ROLLBACK

See Also:
  Constant Field Values

### TYPE_SELECT_FOR_UPDATE

    static final int TYPE_SELECT_FOR_UPDATE

See Also:
  Constant Field Values

### TYPE_SET_GENERATOR

    static final int TYPE_SET_GENERATOR

See Also:
  Constant Field Values

Method Detail

### getInSqlda

    XSQLDA getInSqlda()

  Get the input data structure that contains data that is put into the statement.

  Returns:
    The input data structure

### getOutSqlda

    XSQLDA getOutSqlda()

  Get the output data structure that contains data that is retrieved from the statement.

  Returns:
    The output data structure

### isAllRowsFetched

    boolean isAllRowsFetched()

  Retrieve whether all rows have been fetched of the rows selected by executing this statement.

  Returns:
    `true` if all rows have been fetched, `false` otherwise

### getExecutionPlan

    String getExecutionPlan()

  Get the execution plan from the statement.

  Returns:
    execution plan or `null` if the execution plan was not fetched from the server.

### getStatementType

    int getStatementType()

  Get the statement type.

  Returns:
    one of the constants defined in this interface or `TYPE_UNKNOWN` when no statement type was received from the server.

Copyright © 2001-2010. All Rights Reserved.